Skip to navigation

Get envelopes from bulk send batch

View as Markdown
This method returns a list of envelopes in a specified bulk batch. Use the query parameters to filter and sort the envelopes by different attributes.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

bulkSendBatchIdstringRequired
The batch ID.

Query parameters

countstringOptional

The maximum number of results to return.

Use start_position to specify the number of results to skip.

Valid values: 1 to 1000

includestringOptional

When recipients, only envelopes with recipient nodes will be included in the response.

orderstringOptional

The order in which to sort the results. Valid values are:

  • Descending order: desc (default)
  • Ascending order: asc
order_bystringOptional

The envelope attribute used to sort the results. Valid values are:

  • created (default)
  • completed
  • last_modified
  • sent
  • status
  • subject
  • status_changed
search_textstringOptional
Use this parameter to search for specific text.
start_positionstringOptional

The zero-based index of the result from which to start returning results.

Use with count to limit the number of results.

The default value is 0.

statusstringOptional

Comma-separated list of envelope statuses.

Note that any should not be included with other statuses. In other words, any is a valid parameter value, but any,sent is not.

Use the value deliveryfailure to get all envelopes with AuthFailed and AutoResponded status. This value is specific to bulk sending.

Response

Successful response.
continuationTokenstringOptional
Reserved for Docusign.
endPositionstringOptional
The last index position in the result set.
envelopeslist of objectsOptional
Array of envelope information.
envelopeSearchSourcestringOptional
envelopeTransactionStatuseslist of objectsOptional
Array of envelope statuses and transaction IDs in the result set.
folderslist of objectsOptional
A list of folder objects.
lastQueriedDateTimestringOptional
The last time that a query was performed.
nextUristringOptional

The URI for the next chunk of records based on the search request. It is null if this is the last set of results for the search.

previousUristringOptional

The URI for the prior chunk of records based on the search request. It is null if this is the first set of results for the search.

resultSetSizestringOptional

The number of results in this response. Because you can filter which entries are included in the response, this value is always less than or equal to the totalSetSize.

startPositionstringOptional
The starting index position of the current result set.
totalSetSizestringOptional

The total number of items in the result set. This value is always greater than or equal to the value of resultSetSize.

Errors

400
Bad Request Error